## node-marked 4.2.3+ds+~4.0.7

=== Makefile ===
all:
	@cp lib/marked.cjs marked.cjs
	@uglifyjs --comments '/\*[^\0]+?Copyright[^\0]+?\*/' -o marked.min.js lib/marked.cjs

clean:
	@rm marked.cjs
	@rm marked.min.js

bench:
	@node test --bench

man/marked.1.txt:
	groff -man -Tascii man/marked.1 | col -b > man/marked.1.txt

.PHONY: clean all

## node-marked 0.2.9+dfsg

=== debian/changelog ===
node-marked (0.2.9+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #662657)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 21 Sep 2013 16:58:33 +0200

=== debian/control ===
Source: node-marked
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Julian Taylor <jtaylor.debian@googlemail.com>
Build-Depends: debhelper (>= 9~), node-uglify
Standards-Version: 3.9.4
Homepage: https://github.com/chjj/marked
Vcs-Git: git://anonscm.debian.org/collab-maint/node-marked.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-marked.git
XS-Testsuite: autopkgtest

Package: node-marked
Architecture: all
Depends: nodejs (>= 0.6.19~dfsg1-3), ${misc:Depends}
Description: Full-featured markdown parser and compiler for NodeJS
 Marked implements all markdown features while having a high processing
 speed. It is also fully compatible with client-side javascript.
 .
 Additionally Marked also implements github flavored markdown.
 .
 This package contains the marked executable and node module.

Package: libjs-marked
Architecture: all
Depends: ${misc:Depends}
Description: Full-featured markdown parser and compiler
 Marked implements all markdown features while having a high processing
 speed. It is also fully compatible with client-side javascript.
 .
 Additionally Marked also implements github flavored markdown.
 .
 This package contains the javascript module.

## node-marked 0.3.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Julian Taylor <jtaylor.debian@googlemail.com>
 Build-Depends: debhelper (>= 9~), node-uglify
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://github.com/chjj/marked
 Vcs-Git: git://anonscm.debian.org/collab-maint/node-marked.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-marked.git

## node-marked 0.3.1+dfsg

=== debian/changelog ===
node-marked (0.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release
  * drop upstream applied man-hyphen.patch

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 15 Feb 2014 19:32:37 +0100

node-marked (0.3.0+dfsg-1) unstable; urgency=low

  * New upstream release
  * Bump standard to 3.9.5, no changes required

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 02 Jan 2014 23:42:05 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_test:
override_dh_auto_install:
override_dh_auto_clean:
	rm -f marked.js marked.min.js

override_dh_install:
	dh_install
	sed -i '1c#!/usr/bin/nodejs' $(CURDIR)/debian/node-marked/usr/lib/nodejs/marked/bin/marked

get-orig-source:
	uscan --force-download --destdir=.

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-marked-$1.tar.gz/,\
dversionmangle=s/\+dfsg\d*+$// \
https://github.com/chjj/marked/tags .*/archive/v?([\d\.]+).tar.gz debian debian/new-upstream

## node-marked 0.3.2+dfsg

=== debian/changelog ===
node-marked (0.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Mon, 16 Jun 2014 20:04:33 +0200

## node-marked 0.3.6+dfsg

=== debian/changelog ===
node-marked (0.3.6+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/control: removed obsolete XS-Testsuite
  * debian/control: update Vcs uri to https
  * debian/control: Bump standard to 3.9.8

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 06 Oct 2016 22:15:28 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Julian Taylor <jtaylor.debian@googlemail.com>
 Build-Depends: debhelper (>= 9~), node-uglify
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: https://github.com/chjj/marked
-Vcs-Git: git://anonscm.debian.org/collab-maint/node-marked.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-marked.git
-XS-Testsuite: autopkgtest
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/node-marked.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/node-marked.git
 
 Package: node-marked
 Architecture: all

## node-marked 0.3.9+dfsg

=== debian/changelog ===
node-marked (0.3.9+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Fixes CVE-2017-1000427 (Closes: #886451)
  * Bump to standard to 4.1.3:
    - Move package to section javascript and priority optional

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 07 Jan 2018 12:48:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: node-marked
-Section: web
-Priority: extra
+Section: javascript
+Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Julian Taylor <jtaylor.debian@googlemail.com>
 Build-Depends: debhelper (>= 9~), node-uglify
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/chjj/marked
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/node-marked.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/node-marked.git

=== debian/tests/control ===
Tests: basic
Depends: node-marked

## node-marked 0.5.1+dfsg

=== debian/changelog ===
node-marked (0.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release
  * update Vcs fields in debian/control
  * debian/rules: remove get-orig-tar target, handled by watch
  * change interpreter for executable to /usr/bin/node
  * Bump to standard to 4.2.1

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 28 Oct 2018 10:45:05 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Julian Taylor <jtaylor.debian@googlemail.com>
 Build-Depends: debhelper (>= 9~), node-uglify
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://github.com/chjj/marked
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/node-marked.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/node-marked.git
+Vcs-Git: https://salsa.debian.org/js-team/node-marked.git
+Vcs-Browser: https://salsa.debian.org/js-team/node-marked
 
 Package: node-marked
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_test:
override_dh_auto_install:
override_dh_auto_clean:
	rm -f marked.js marked.min.js

## node-marked 0.8.0%2Bds%2Brepack

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	rollup -c rollup.config.js
	cd lib && uglifyjs.terser --comments '/\*[^\0]+?Copyright[^\0]+?\*/' -o marked.min.js marked.js

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-marked-$1.tar.gz/,\
repacksuffix=+ds,\
dversionmangle=auto \
https://github.com/chjj/marked/tags .*/archive/v?([\d\.]+).tar.gz debian

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=types-marked,pgpmode=none" \
 https://registry.npmjs.org/@types/marked https://registry.npmjs.org/@types/marked/-/marked-([\d\.]+)@ARCHIVE_EXT@ ignore

## node-marked 0.8.0+ds

=== debian/changelog ===
node-marked (0.8.0+ds-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.5.0
  * Bump debhelper compatibility level to 12
  * Use pkg-js-tools auto test & install
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Add upstream/metadata
  * Exclude minified file from import
  * New upstream version 0.8.0+ds (Closes: #931877)
  * Install SECURITY.md in docs
  * Install part of upstream doc
  * Update basic test

 -- Xavier Guimard <yadd@debian.org>  Sun, 08 Mar 2020 12:39:37 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,20 @@
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Julian Taylor <jtaylor.debian@googlemail.com>
-Build-Depends: debhelper (>= 9~), node-uglify
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12)
+ , uglifyjs.terser
+ , pkg-js-tools (>= 0.9.20~)
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/js-team/node-marked
+Vcs-Git: https://salsa.debian.org/js-team/node-marked.git
 Homepage: https://github.com/chjj/marked
-Vcs-Git: https://salsa.debian.org/js-team/node-marked.git
-Vcs-Browser: https://salsa.debian.org/js-team/node-marked
+Testsuite: autopkgtest-pkg-nodejs
+Rules-Requires-Root: no
 
 Package: node-marked
 Architecture: all
-Depends: nodejs (>= 0.6.19~dfsg1-3), ${misc:Depends}
+Depends: ${misc:Depends}
+ , nodejs
 Description: Full-featured markdown parser and compiler for NodeJS
  Marked implements all markdown features while having a high processing
  speed. It is also fully compatible with client-side javascript.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with nodejs

override_dh_auto_build:
	cp lib/marked.js marked.js
	uglifyjs.terser --comments '/\*[^\0]+?Copyright[^\0]+?\*/' -o marked.min.js lib/marked.js

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-marked-$1.tar.gz/,\
repacksuffix=+ds,\
dversionmangle=auto \
https://github.com/chjj/marked/tags .*/archive/v?([\d\.]+).tar.gz debian

## node-marked 0.8.0+ds+repack

=== debian/changelog ===
node-marked (0.8.0+ds+repack-2) unstable; urgency=medium

  * Team upload
  * Drop legacy rollup plugins usage

 -- Pirate Praveen <praveen@debian.org>  Sat, 02 Jan 2021 00:05:19 +0530

node-marked (0.8.0+ds+repack-1) unstable; urgency=medium

  * Team upload

  [ lintian-brush ]
  * Set upstream metadata fields: Security-Contact.

  [ Xavier Guimard ]
  * Declare compliance with policy 4.5.1
  * Modernize debian/watch
  * Make build reproducible
  * Reproduce upstream build with rollup
  * Enable upstream unit test using jest
  * Embed @types/marked and repack
  * Apply multi-arch hints (foreign)
  * Add break against node-typescript-types < 20201201~

 -- Xavier Guimard <yadd@debian.org>  Tue, 01 Dec 2020 10:47:53 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,18 @@
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Julian Taylor <jtaylor.debian@googlemail.com>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
+ , dh-sequence-nodejs
+ , jest <!nocheck>
+ , node-array-find-index
+ , node-mkdirp
+ , node-moment
+ , node-spdx-expression-parse
+ , node-rollup-plugin-babel (>= 5.2~)
+ , node-rollup-plugin-commonjs (>= 15~)
+ , rollup
  , uglifyjs.terser
- , pkg-js-tools (>= 0.9.20~)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-marked
 Vcs-Git: https://salsa.debian.org/js-team/node-marked.git
 Homepage: https://github.com/chjj/marked
@@ -17,6 +25,9 @@
 Architecture: all
 Depends: ${misc:Depends}
  , nodejs
+Provides: ${nodejs:Provides}
+Multi-Arch: foreign
+Breaks: node-typescript-types (<< 20201201~)
 Description: Full-featured markdown parser and compiler for NodeJS
  Marked implements all markdown features while having a high processing
  speed. It is also fully compatible with client-side javascript.
@@ -28,6 +39,8 @@
 Package: libjs-marked
 Architecture: all
 Depends: ${misc:Depends}
+Recommends: javascript-common
+Multi-Arch: foreign
 Description: Full-featured markdown parser and compiler
  Marked implements all markdown features while having a high processing
  speed. It is also fully compatible with client-side javascript.

## node-marked 4.0.12%2Bds%2B~4.0.1

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	rollup -c rollup.config.js
	rollup -c rollup.config.esm.js
	cd lib && terser --comments '/\*[^\0]+?Copyright[^\0]+?\*/' -o marked.umd.min.js marked.umd.js

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/node-marked/usr/share/nodejs/marked/bin/marked.js

## node-marked 4.0.12+ds+~4.0.1

=== debian/changelog ===
node-marked (4.0.12+ds+~4.0.1-2ubuntu2) jammy; urgency=medium

  * Reduce iterations in ReDOS quadratic_lists test even further

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 18 Apr 2022 09:45:41 +0000

node-marked (4.0.12+ds+~4.0.1-2ubuntu1) jammy; urgency=medium

  * Reduce iterations in ReDOS quadratic_lists test to
    avoid timeout in arm64 autopkgtest

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 17 Apr 2022 09:40:50 +0000

node-marked (4.0.12+ds+~4.0.1-2) unstable; urgency=medium

  * Team upload
  * Enable upstream test (jasmine)

 -- Yadd <yadd@debian.org>  Tue, 15 Feb 2022 18:50:59 +0100

node-marked (4.0.12+ds+~4.0.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.0.12+ds+~4.0.1
  * Update copyright

 -- Yadd <yadd@debian.org>  Fri, 28 Jan 2022 15:50:56 +0100

node-marked (4.0.9+ds+~4.0.1-2) unstable; urgency=medium

  * Team upload
  * Make build reproducible

 -- Yadd <yadd@debian.org>  Wed, 12 Jan 2022 17:50:31 +0100

node-marked (4.0.9+ds+~4.0.1-1) unstable; urgency=medium

  * Team upload
  * Install UMD files for browser, not cjs ones (Closes: #1003600)
  * Exclude lib from import
  * Use uscan group
  * New upstream version 4.0.9+ds+~4.0.1
  * Update copyright

 -- Yadd <yadd@debian.org>  Wed, 12 Jan 2022 17:35:00 +0100

node-marked (4.0.5+ds-5) unstable; urgency=medium

  * Team upload
  * Fix autopkgtest

 -- Yadd <yadd@debian.org>  Sun, 09 Jan 2022 11:47:31 +0100

node-marked (4.0.5+ds-4) unstable; urgency=medium

  * Team upload
  * Add breaks against node-marked-man < 0.7.0+~0.7.0~
  * Add missing build dependency on dh addon.
  * libjs-marked: add links to old filenames

 -- Yadd <yadd@debian.org>  Sun, 09 Jan 2022 11:30:41 +0100

node-marked (4.0.5+ds-3) unstable; urgency=medium

  * team upload

  * use and build-depend on terser (not uglifyjs.terser)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 02 Dec 2021 21:12:29 +0100

node-marked (4.0.5+ds-2) unstable; urgency=medium

  * Team upload

  [ Chris Lamb ]
  * Update reproducible patch (Closes: #1000769)

 -- Yadd <yadd@debian.org>  Sun, 28 Nov 2021 21:40:36 +0100

node-marked (4.0.5+ds-1) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.0, no changes needed.
  * Fix filenamemangle
  * New upstream version 4.0.5+ds
  * Update lintian overrides
  * Refresh patches
  * Disable test (needs jasmine)
  * Fix paths
  * Update nodejs dependency to nodejs:any

 -- Yadd <yadd@debian.org>  Sun, 28 Nov 2021 04:30:04 +0100

node-marked (0.8.0+ds+repack-3) unstable; urgency=medium

  * Team upload
  * Add ctype=nodejs to component(s)
  * Fix GitHub tags regex
  * Fix usr/bin install for dh-sequence-nodejs ≥ 0.9.78~

 -- Yadd <yadd@debian.org>  Sat, 30 Oct 2021 09:11:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: node-marked
 Section: javascript
 Priority: optional
-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Julian Taylor <jtaylor.debian@googlemail.com>
 Build-Depends: debhelper-compat (= 13)
- , dh-sequence-nodejs
+ , dh-sequence-nodejs (>= 0.9.78~)
  , jest <!nocheck>
  , node-array-find-index
+ , node-diff <!nocheck>
+ , node-jasmine <!nocheck>
  , node-mkdirp
  , node-moment
  , node-spdx-expression-parse
  , node-rollup-plugin-babel (>= 5.2~)
  , node-rollup-plugin-commonjs (>= 15~)
  , rollup
- , uglifyjs.terser
-Standards-Version: 4.5.1
+ , terser
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-marked
 Vcs-Git: https://salsa.debian.org/js-team/node-marked.git
 Homepage: https://github.com/chjj/marked
@@ -24,10 +27,11 @@
 Package: node-marked
 Architecture: all
 Depends: ${misc:Depends}
- , nodejs
+ , nodejs:any
 Provides: ${nodejs:Provides}
 Multi-Arch: foreign
 Breaks: node-typescript-types (<< 20201201~)
+ , node-marked-man (<< 0.7.0+~0.7.0~)
 Description: Full-featured markdown parser and compiler for NodeJS
  Marked implements all markdown features while having a high processing
  speed. It is also fully compatible with client-side javascript.

## node-marked 4.1.0+ds+~4.0.6

=== debian/changelog ===
node-marked (4.1.0+ds+~4.0.6-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reduce iterations in ReDOS quadratic_lists test to
      avoid timeout in arm64 autopkgtest

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Sep 2022 11:42:44 +0200

node-marked (4.1.0+ds+~4.0.6-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.1.0+ds+~4.0.6

 -- Yadd <yadd@debian.org>  Thu, 01 Sep 2022 17:10:49 +0200

node-marked (4.0.18+ds+~4.0.5-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reduce iterations in ReDOS quadratic_lists test to
      avoid timeout in arm64 autopkgtest

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 28 Aug 2022 23:41:44 +0200

node-marked (4.0.18+ds+~4.0.5-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.0.18+ds+~4.0.5

 -- Yadd <yadd@debian.org>  Fri, 19 Aug 2022 10:30:17 +0200

node-marked (4.0.17+ds+~4.0.3-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reduce iterations in ReDOS quadratic_lists test to
      avoid timeout in arm64 autopkgtest

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Jul 2022 09:41:04 +0200

node-marked (4.0.17+ds+~4.0.3-1) unstable; urgency=medium

  * Team upload
  * Replace embedded parse5-sax-parser by link to debian module
  * Update test dependencies (Closes: #1013989)
  * New upstream version 4.0.17+ds+~4.0.3

 -- Yadd <yadd@debian.org>  Thu, 30 Jun 2022 11:04:17 +0200

node-marked (4.0.16+ds+~4.0.3-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reduce iterations in ReDOS quadratic_lists test to
      avoid timeout in arm64 autopkgtest

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 May 2022 15:04:53 +0200

node-marked (4.0.16+ds+~4.0.3-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.1
  * New upstream version 4.0.16+ds+~4.0.3

 -- Yadd <yadd@debian.org>  Wed, 18 May 2022 08:30:42 +0200

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,13 @@
  , node-jasmine <!nocheck>
  , node-mkdirp
  , node-moment
+ , node-parse5-sax-parser (>= 7)
  , node-spdx-expression-parse
  , node-rollup-plugin-babel (>= 5.2~)
  , node-rollup-plugin-commonjs (>= 15~)
  , rollup
  , terser
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-marked
 Vcs-Git: https://salsa.debian.org/js-team/node-marked.git
 Homepage: https://github.com/chjj/marked

## node-marked 4.2.2+ds+~4.0.7

=== debian/changelog ===
node-marked (4.2.2+ds+~4.0.7-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.2.2+ds+~4.0.7

 -- Yadd <yadd@debian.org>  Sun, 06 Nov 2022 11:08:38 +0100

node-marked (4.1.0+ds+~4.0.6-2) unstable; urgency=medium

  * Team upload
  * Add fix for rollup 3 (Closes: #1022635)

 -- Yadd <yadd@debian.org>  Wed, 26 Oct 2022 14:33:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: node-marked
 Section: javascript
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Julian Taylor <jtaylor.debian@googlemail.com>
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs (>= 0.9.78~)

## node-marked 4.2.3+ds+~4.0.7

=== debian/changelog ===
node-marked (4.2.3+ds+~4.0.7-4) unstable; urgency=medium

  * Team upload
  * Allow test to be even slower

 -- Jérémy Lal <kapouer@melix.org>  Sat, 05 Apr 2025 14:44:05 +0200

node-marked (4.2.3+ds+~4.0.7-3) unstable; urgency=medium

  * Team upload
  * patch: allow tests to be slower

 -- Jérémy Lal <kapouer@melix.org>  Tue, 20 Feb 2024 11:32:12 +0100

node-marked (4.2.3+ds+~4.0.7-2) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Sat, 03 Dec 2022 12:21:15 +0100

node-marked (4.2.3+ds+~4.0.7-1) experimental; urgency=medium

  * Team upload
  * New upstream version 4.2.3+ds+~4.0.7
  * Update patches
  * Update build

 -- Yadd <yadd@debian.org>  Wed, 30 Nov 2022 18:20:59 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
  , node-parse5-sax-parser (>= 7)
  , node-spdx-expression-parse
  , node-rollup-plugin-babel (>= 5.2~)
- , node-rollup-plugin-commonjs (>= 15~)
  , rollup
  , terser
 Standards-Version: 4.6.1

=== debian/watch ===
version=4
opts=filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-marked-$1/,\
repacksuffix=+ds,\
dversionmangle=auto \
https://github.com/chjj/marked/tags .*/archive/.*/v?([\d\.]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=types-marked,pgpmode=none" \
 https://registry.npmjs.org/@types/marked https://registry.npmjs.org/@types/marked/-/marked-([\d\.]+)@ARCHIVE_EXT@ group
